CREATE TABLE LOWCODE_QUARTZ_JOB (
    ID BIGINT PRIMARY KEY,
    PROJECT_ID BIGINT NOT NULL,
    JOB_NAME VARCHAR(64) NOT NULL,
    JOB_GROUP VARCHAR(64) NOT NULL,
    JOB_MODULE_CODE VARCHAR(128) NOT NULL,
    JOB_PARAMS VARCHAR(1000),
    EXECUTE_CYCLE VARCHAR(64) NOT NULL,
    EFFECTIVE_DATE TIMESTAMP,
    EXPIRING_DATE TIMESTAMP,
    EXECUTE_NUM INT NOT NULL DEFAULT '0',
    MISFIRE_POLICY VARCHAR(4) NOT NULL DEFAULT '0',
    CONCURRENT VARCHAR(4) NOT NULL DEFAULT '1',
    STATUS VARCHAR(4) NOT NULL DEFAULT '0',
    RETRY_STATUS VARCHAR(4) NOT NULL DEFAULT '1',
    RETRY_NUM INT NOT NULL DEFAULT '0',
    RETRIED_NUM INT NOT NULL DEFAULT '0',
    RETRY_INTERVAL INT NOT NULL DEFAULT '1',
    RETRY_INTERVAL_UNIT TINYINT NOT NULL DEFAULT '2',
    CALLBACK_STATUS VARCHAR(4) DEFAULT '1',
    CALLBACK_MODULE_CODE VARCHAR(128),
    CALLBACK_NUM INT NOT NULL DEFAULT '0',
    RUN_STATUS VARCHAR(4) DEFAULT '1',
    VALID TINYINT NOT NULL DEFAULT '0',
    CREATE_USER BIGINT,
    MODIFIED_USER BIGINT,
    GMT_CREATE TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    GMT_MODIFIED TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
)
